#!/usr/bin/perl
#
# text encoding: UTF8  line separator: LF
#
# UTF-8 で保存して、実行属性 x をつけること。
#
# 選択されたテキストを ~/Desktop/textCollection.txt に appendする (UTF-8, LFとします)。
# 挿入テキストはなしとする。

use utf8;
binmode STDOUT, ":encoding(utf8)";

# set to no touch mode
open TSET, ">:encoding(utf8)", $ENV{TMPSETTING};
print TSET "FUNC=NOTOUCH";
close TSET;
 
open OUT, ">>:encoding(utf8)", $ENV{HOME}."/Desktop/textCollection.txt";
open TMP, "<:encoding(utf8)", $ENV{TMPFILE};

while ( <TMP> ) {
	print;		# STDOUT に出力しても挿入されない
	print OUT;
}
close TMP;
close OUT;

